<?php

use TOT\Settings;

//Function called when the plugin is activated.
//Creates a confirmation email page if it has not yet been created
//Sets the confirmation email redirect option to that page if this option has not been configured before
function tot_create_signup_required_page() {
    $page_title = 'Verification Required';
    $page = get_page_by_title($page_title);
    //only creates a page if it does not exists. even if $page is in trash, a new one will not be created.
    if (!$page) {
        //create a variable to specify the details of page
        $post = array(
            'post_content' =>
                '
<!-- wp:shortcode -->
[tot-reputation-status]
<!-- /wp:shortcode -->

<p>Customize this page to meet your needs. This is done from the wp-admin Pages menu for this title. Here are some things you might might want to leverage on this page:</p>
<ul>
<li><strong>Provide Context</strong> - Tell the user why they are there. e.g. In order to checkout you\'ll need to get verified.</li>
<li><strong>Shortcode: \'tot-reputation-status\'</strong> - (recommended) inserts a text description of the users current state. If they are not yet verified adds a link to get verified.</li>
<li><strong>Shortcode: \'tot-wp-embed\'</strong> - (use with caution) includes a variety of widgets that allow the user to see their current status. These include buttons that could lead users away from the flow you intend.  <a href="https://tokenoftrust.com/docs/integrations/wordpress/#common-pages">More information.</a></li>
</ul>

<p>References:</p>
<ul>
<li><a href="https://www.wonderplugin.com/wordpress-carousel-plugin/how-to-add-shortcode-to-the-new-gutenberg-editor/">How to add shortcodes to a page</a></li>
</ul>
            ', //content of page
            'post_title' => $page_title, //title of page
            'post_status' => 'publish', //status of page - publish or draft
            'post_type' => 'page'  // type of post
        );
        wp_insert_post($post); // creates page
        $page = get_page_by_title($page_title);
    }
    //check if page is published and not in trash or is a draft.
    if($page->post_status === 'publish'){
	    $page_url = str_replace(get_site_url(), '', get_page_link($page->ID));
	    Settings::set_setting('tot_field_confirm_verification_required_redirect', $page_url);
    }

}